package com.ssj.bean.sys.award.domain;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;


@Entity
@Table(name="tb_award_grant")
public class AwardGrant extends BaseEntity {
	
	private static final long serialVersionUID = 1L;
	
	private String fromMerchantId;
	
	private String toMerchantId;
	
	private String level1MaterialId;
	
	private String level2MaterialId;
	
	private String level3MaterialId;
	
	private Integer level1Num;
	
	private Integer level2Num;
	
	private Integer level3Num;
	
	private String remarks;
	
	private Date createTime;
	
	private Date updateTime;
	
	
	private String dingNumber;
	
	private String emsNumber;
	
	private String people;
	
	private String telephone;

	private String img;
	
	private String address;
	
	private Date emsTime;
	
	private Integer status;

	public String getFromMerchantId() {
		return fromMerchantId;
	}

	public void setFromMerchantId(String fromMerchantId) {
		this.fromMerchantId = fromMerchantId;
	}

	public String getToMerchantId() {
		return toMerchantId;
	}

	public void setToMerchantId(String toMerchantId) {
		this.toMerchantId = toMerchantId;
	}

	@Column(name = "level1_material_id")
	public String getLevel1MaterialId() {
		return level1MaterialId;
	}

	public void setLevel1MaterialId(String level1MaterialId) {
		this.level1MaterialId = level1MaterialId;
	}

	@Column(name = "level2_material_id")
	public String getLevel2MaterialId() {
		return level2MaterialId;
	}

	public void setLevel2MaterialId(String level2MaterialId) {
		this.level2MaterialId = level2MaterialId;
	}

	@Column(name = "level3_material_id")
	public String getLevel3MaterialId() {
		return level3MaterialId;
	}

	public void setLevel3MaterialId(String level3MaterialId) {
		this.level3MaterialId = level3MaterialId;
	}

	@Column(name = "level1_num")
	public Integer getLevel1Num() {
		return level1Num;
	}

	public void setLevel1Num(Integer level1Num) {
		this.level1Num = level1Num;
	}

	@Column(name = "level2_num")
	public Integer getLevel2Num() {
		return level2Num;
	}

	public void setLevel2Num(Integer level2Num) {
		this.level2Num = level2Num;
	}

	@Column(name = "level3_num")
	public Integer getLevel3Num() {
		return level3Num;
	}

	public void setLevel3Num(Integer level3Num) {
		this.level3Num = level3Num;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getDingNumber() {
		return dingNumber;
	}

	public void setDingNumber(String dingNumber) {
		this.dingNumber = dingNumber;
	}

	public String getEmsNumber() {
		return emsNumber;
	}

	public void setEmsNumber(String emsNumber) {
		this.emsNumber = emsNumber;
	}

	public String getPeople() {
		return people;
	}

	public void setPeople(String people) {
		this.people = people;
	}

	public String getTelephone() {
		return telephone;
	}

	public void setTelephone(String telephone) {
		this.telephone = telephone;
	}

	public String getImg() {
		return img;
	}

	public void setImg(String img) {
		this.img = img;
	}

	public Date getEmsTime() {
		return emsTime;
	}

	public void setEmsTime(Date emsTime) {
		this.emsTime = emsTime;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}



}
